Subject: Re: bug#10489: 24.0.92; dired-do-copy may create infinite directory hierarchy

From: Michael Albinus <[email-masked]>
Date: Fri, 13 Jan 2012 20:35:46 +0100

"Drew Adams" <[email-masked]> writes:

> I believe that is all taken care of by the code I sent, which uses
> `file-remote-p'.  IOW, I think `file-remote-p' does that.  But I'm no
> expert on this stuff.

As I've pointed out, a specialized Tramp function could do better than
Tramp's version of `file-remote-p', for example knowing that the methods
"ssh" and "scp" are equal when it is about `file-name-equal-p'.

That's why I'm in favor of `file-name-equal-p' AND its file name handler
for remote files.

Best regards, Michael.